<?php
// Hook for at tilføje indstillingssiden
add_action('admin_menu', 'etwp_wc_add_admin_page');

function etwp_wc_add_admin_page() {
    add_submenu_page(
        'woocommerce',
        __('Print Order Settings', 'etwp-wc'),
        __('Print Order Settings', 'etwp-wc'),
        'manage_options',
        'etwp-wc-settings',
        'etwp_wc_settings_page'
    );
}

// Funktion til at vise indstillingssiden
function etwp_wc_settings_page() {
    ?>
    <div class="wrap">
        <h1><?php _e('Print Order Settings', 'etwp-wc'); ?></h1>
        <form method="post" action="options.php">
            <?php
            settings_fields('etwp_wc_settings');
            do_settings_sections('etwp_wc_settings');
            submit_button();
            ?>
        </form>
    </div>
    <?php
}

// Tilføj indstillingssektioner og felter
add_action('admin_init', 'etwp_wc_settings_init');

function etwp_wc_settings_init() {
    // Tilføj en sektion for generelle indstillinger
    add_settings_section(
        'etwp_wc_general_settings',
        __('General Settings', 'etwp-wc'),
        'etwp_wc_general_settings_callback',
        'etwp_wc_settings'
    );

    // Tilføj felter til generelle indstillinger
    add_settings_field(
        'etwp_wc_show_name',
        __('Show Name', 'etwp-wc'),
        'etwp_wc_show_name_callback',
        'etwp_wc_settings',
        'etwp_wc_general_settings'
    );

    // Registrer indstillinger
    register_setting('etwp_wc_settings', 'etwp_wc_show_name');
}

// Callback funktioner til felter
function etwp_wc_general_settings_callback() {
    echo '<p>' . __('Configure general settings for printing orders.', 'etwp-wc') . '</p>';
}

function etwp_wc_show_name_callback() {
    $show_name = get_option('etwp_wc_show_name', 'yes');
    ?>
    <input type="checkbox" name="etwp_wc_show_name" value="yes" <?php checked($show_name, 'yes'); ?> />
    <?php _e('Show Name on Print', 'etwp-wc');
}
?>
