<?php
// Tilføj skabelonen til udskrivning
add_action('wp_ajax_wc_print_order', 'wc_print_order_template');
function wc_print_order_template() {
    $order_id = intval($_POST['order_id']);
    $order = wc_get_order($order_id);
    if ($order) {
        // Hent indstillingerne for hvilke oplysninger der skal vises på udskriften
        $show_name = get_option('wc_print_order_show_name', 'yes') == 'yes';
        $show_address = get_option('wc_print_order_show_address', 'yes') == 'yes';
        // Hent flere indstillinger efter behov (betaling, levering, produkter osv.)

        // Byg HTML skabelonen baseret på valgte indstillinger
        $html = '<html><head><title>' . __('Order Confirmation', 'woocommerce') . '</title></head><body>';
        $html .= '<h1>' . __('Order Confirmation', 'woocommerce') . '</h1>';
        
        if ($show_name) {
            $html .= '<p>' . __('Name:', 'woocommerce') . ' ' . $order->get_billing_first_name() . ' ' . $order->get_billing_last_name() . '</p>';
        }
        if ($show_address) {
            $html .= '<p>' . __('Address:', 'woocommerce') . ' ' . $order->get_formatted_billing_address() . '</p>';
        }
        // Tilføj flere ordreoplysninger baseret på indstillingerne

        $html .= '</body></html>';

        // Send HTML som svar til AJAX-anmodningen
        echo $html;
    }
    wp_die();
}
?>
